oracle.xdb.event

## Class XDBInvalidOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.xdb.event.XDBInvalidOperationException

All Implemented Interfaces:
  java.io.Serializable

    public class XDBInvalidOperationException
    extends java.lang.RuntimeException

The exception thrown when an operation is not allowed

Since:
  11.1.0.0.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XDBInvalidOperationException(java.lang.String message)` Creates an `XDBInvalidOperationException` object with the given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XDBInvalidOperationException

    public XDBInvalidOperationException(java.lang.String message)

Creates an `XDBInvalidOperationException` object with the given message.

Parameters:
  `message` - The message to be shown with the exception.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.